#!/bin/bash

# 判断id_rsa密钥文件是否存在
if [ ! -f ~/.ssh/id_rsa ];then
  ssh-keygen -t rsa -P "" -f ~/.ssh/id_rsa
else
  echo "id_rsa has created ..."
fi

ip=$1
user=$2
passwd=$3

#分发到$ip主机.
expect <<EOF
  set timeout 10
  spawn ssh-copy-id -f $user@$ip
  expect {
    "yes/no" { send "yes\n";exp_continue }
    "password" { send "$passwd\n" }
  }
  expect "password" { send "$passwd\n" }
EOF
